Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class WorkSheet_ReopenReason
    Inherits BaseObject

    Private _WorkSheet_Header As WorkSheet_Header
    Private _WorkSheet_ReopenReason_Type As WorkSheet_ReopenReason_Type
    Private _ObjectCreated As Date ' Létrehozva
    Private _UserCreated As User 'Létrehozó
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
       
    End Sub
    Protected Overrides Sub OnSaving()
        MyBase.OnSaving()
        If Session.IsNewObject(Me) Then
            ObjectCreated = GetSQLTime(Session)
            UserCreated = Session.GetObjectByKey(Of User)(Session.GetKeyValue(SecuritySystem.CurrentUser))
        End If
    End Sub
    <Association("WorkSheet_Header-WorkSheet_ReopenReason", GetType(WorkSheet_Header))> _
    Property WorkSheet_Header As WorkSheet_Header
        Get
            Return _WorkSheet_Header
        End Get
        Set(ByVal value As WorkSheet_Header)
            SetPropertyValue("WorkSheet_Header", _WorkSheet_Header, value)
        End Set
    End Property
    Property WorkSheet_ReopenReason_Type As WorkSheet_ReopenReason_Type
        Get
            Return _WorkSheet_ReopenReason_Type
        End Get
        Set(value As WorkSheet_ReopenReason_Type)
            SetPropertyValue("WorkSheet_ReopenReason_Type", _WorkSheet_ReopenReason_Type, value)
        End Set
    End Property
    <NonCloneable> _
    Property ObjectCreated As Date
        Get
            Return _ObjectCreated
        End Get
        Set(value As Date)
            SetPropertyValue("ObjectCreated", _ObjectCreated, value)
        End Set
    End Property
    <NonCloneable> _
    Property UserCreated As User
        Get
            Return _UserCreated
        End Get
        Set(value As User)
            SetPropertyValue("UserCreated", _UserCreated, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class
